cURL
pcall GET "/api/v1/partner/analytics/mandates/JM_261009101612456H3N8W2L5C9V1Z4"const res = await call("GET", "/api/v1/partner/analytics/mandates/JM_261009101612456H3N8W2L5C9V1Z4");
const { data } = await res.json();res = call("GET", "/api/v1/partner/analytics/mandates/JM_261009101612456H3N8W2L5C9V1Z4")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/analytics/mandates/{mandate_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/analytics/mandates/{mandate_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-bc.userecord.io/api/v1/partner/analytics/mandates/{mandate_id}")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/analytics/mandates/{mandate_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"workflow_id": "WF_BG_261009101530123K7M2P9Q4X7R5T8",
"mandate_id": "JM_261009101612456H3N8W2L5C9V1Z4",
"campaign_id": null,
"analytics": {
"assigned_candidates": 240,
"tracked_candidates": 240,
"funnel": {
"sent": 236,
"started": 132,
"not_started": 104,
"completed": 78
},
"verification_methods": {
"total_completed": 78,
"video": 60,
"audio": 18
},
"whatsapp": {
"sent": 236,
"delivered": 221,
"replied": 140,
"failed": 5,
"completed": 60
},
"follow_ups": {
"initial_message": 236,
"follow_up_one": 120,
"follow_up_two": 64,
"follow_up_three": 0,
"completed_after_follow_up": 31
},
"calls": {
"initiated": 90,
"completed": 18,
"not_answered": 52,
"not_interested": 9
},
"channel_conversions": {
"total_completed": 78,
"whatsapp": 52,
"sms": 8,
"phone_call": 18
},
"drop_offs": {
"sent_not_started": {
"count": 104,
"percentage": 44.1
},
"started_no_verification": {
"count": 54,
"percentage": 40.9
},
"completed_no_verdict": {
"count": 0,
"percentage": 0
}
},
"completion_by_language": [
{
"language": "tamil",
"reached": 150,
"completed": 51,
"completion_rate": 34
},
{
"language": "hindi",
"reached": 70,
"completed": 22,
"completion_rate": 31.4
}
],
"other_interests": {
"completed_candidates": 78,
"open_to_other": 21,
"interests": [
{
"name": "Forklift Operator",
"count": 12,
"percentage": 57.1
}
],
"experience": [
{
"label": "1 to 2 years",
"count": 9
}
]
}
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Analytics
Get mandate analytics
The same numbers for one job mandate, adding up all campaigns sent on it.
Scope: analytics:read
GET
/
analytics
/
mandates
/
{mandate_id}
cURL
pcall GET "/api/v1/partner/analytics/mandates/JM_261009101612456H3N8W2L5C9V1Z4"const res = await call("GET", "/api/v1/partner/analytics/mandates/JM_261009101612456H3N8W2L5C9V1Z4");
const { data } = await res.json();res = call("GET", "/api/v1/partner/analytics/mandates/JM_261009101612456H3N8W2L5C9V1Z4")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/analytics/mandates/{mandate_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/analytics/mandates/{mandate_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-bc.userecord.io/api/v1/partner/analytics/mandates/{mandate_id}")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/analytics/mandates/{mandate_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"workflow_id": "WF_BG_261009101530123K7M2P9Q4X7R5T8",
"mandate_id": "JM_261009101612456H3N8W2L5C9V1Z4",
"campaign_id": null,
"analytics": {
"assigned_candidates": 240,
"tracked_candidates": 240,
"funnel": {
"sent": 236,
"started": 132,
"not_started": 104,
"completed": 78
},
"verification_methods": {
"total_completed": 78,
"video": 60,
"audio": 18
},
"whatsapp": {
"sent": 236,
"delivered": 221,
"replied": 140,
"failed": 5,
"completed": 60
},
"follow_ups": {
"initial_message": 236,
"follow_up_one": 120,
"follow_up_two": 64,
"follow_up_three": 0,
"completed_after_follow_up": 31
},
"calls": {
"initiated": 90,
"completed": 18,
"not_answered": 52,
"not_interested": 9
},
"channel_conversions": {
"total_completed": 78,
"whatsapp": 52,
"sms": 8,
"phone_call": 18
},
"drop_offs": {
"sent_not_started": {
"count": 104,
"percentage": 44.1
},
"started_no_verification": {
"count": 54,
"percentage": 40.9
},
"completed_no_verdict": {
"count": 0,
"percentage": 0
}
},
"completion_by_language": [
{
"language": "tamil",
"reached": 150,
"completed": 51,
"completion_rate": 34
},
{
"language": "hindi",
"reached": 70,
"completed": 22,
"completion_rate": 31.4
}
],
"other_interests": {
"completed_candidates": 78,
"open_to_other": 21,
"interests": [
{
"name": "Forklift Operator",
"count": 12,
"percentage": 57.1
}
],
"experience": [
{
"label": "1 to 2 years",
"count": 9
}
]
}
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Your key id, VFN_TEST_… or VFN_LIVE_…. Sent on every request.
Your secret, VFN_SK_…. Not a real header, and never sent to the API. It is only a form field for Try it, which uses it to sign your request in your browser. In your own code you sign each request with the secret and send x-api-key, x-timestamp and x-signature (see Authentication).
Path Parameters
Record's mandate id (JM_...): the mandate_id returned when you create the mandate
Pattern:
^JM_[A-Z0-9]{10,40}$
